#include "stdafx.h"
#include "utils_harkio2.hpp"

namespace harktool4
{

harkio2::Position<float>
MakePosition(bool use_height, double azimuth, double height, double elevation, double radius)
{
    const double azimuth_radian = azimuth * M_PI / 180.0;
    const double elevation_radian = elevation * M_PI / 180.0;
    if (use_height)
    {
        const double x = cos(azimuth_radian) * radius;
        const double y = sin(azimuth_radian) * radius;
        return harkio2::MakePositionFromVector<float>(
                harkio2::Vector3<float>(x, y, height));
    }
    else
    {
        return harkio2::MakePositionFromPolar<float>(azimuth_radian, elevation_radian, radius);
    }
}

}

